Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSwitchStp({
networkId: "string",
});
export const merakiNetworksSwitchStpExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_switch_stp(network_id="string")
pulumi.export("merakiNetworksSwitchStpExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupSwitchStp(ctx, &networks.LookupSwitchStpArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSwitchStpExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSwitchStp.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSwitchStpExample"] = example.Apply(getSwitchStpResult => getSwitchStpResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSwitchStpArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSwitchStp(GetSwitchStpArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksSwitchStpExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSwitchStp
arguments:
networkId: string
outputs:
merakiNetworksSwitchStpExample: ${example.item}
Using getSwitchStp
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSwitchStp(args: GetSwitchStpArgs, opts?: InvokeOptions): Promise<GetSwitchStpResult>
function getSwitchStpOutput(args: GetSwitchStpOutputArgs, opts?: InvokeOptions): Output<GetSwitchStpResult>def get_switch_stp(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSwitchStpResult
def get_switch_stp_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSwitchStpResult]func LookupSwitchStp(ctx *Context, args *LookupSwitchStpArgs, opts ...InvokeOption) (*LookupSwitchStpResult, error)
func LookupSwitchStpOutput(ctx *Context, args *LookupSwitchStpOutputArgs, opts ...InvokeOption) LookupSwitchStpResultOutput> Note: This function is named LookupSwitchStp in the Go SDK.
public static class GetSwitchStp
{
public static Task<GetSwitchStpResult> InvokeAsync(GetSwitchStpArgs args, InvokeOptions? opts = null)
public static Output<GetSwitchStpResult> Invoke(GetSwitchStpInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSwitchStpResult> getSwitchStp(GetSwitchStpArgs args, InvokeOptions options)
public static Output<GetSwitchStpResult> getSwitchStp(GetSwitchStpArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSwitchStp:getSwitchStp
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getSwitchStp Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Stp Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Stp Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Stp Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Stp Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Stp Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSwitchStpItem
GetSwitchStpItemStpBridgePriority
- Stp
Priority int - Switches List<string>
- Stp
Priority int - Switches []string
- stp
Priority Integer - switches List<String>
- stp
Priority number - switches string[]
- stp_
priority int - switches Sequence[str]
- stp
Priority Number - switches List<String>
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
